> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hookstream.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Retry a delivery attempt

Retry a specific delivery attempt by routing it back through the delivery scheduler.

` POST /delivery-attempts/{id}/retry `

Retry a delivery attempt

Retry a specific delivery attempt by routing it back through the delivery scheduler.

## Servers

- ` https://hookstream.io/v1 ` — Production

## Authentication

The operation accepts these alternatives. Schemes within one alternative are required together.

### Alternative 1

- ` apiKey `: ` apiKey `

  - Credential: ` X-API-Key ` in ` header `

  - API key (format: hs_live_<64hex> or hs_test_<64hex>)

### Alternative 2

- ` cookieAuth `: ` apiKey `

  - Credential: ` better-auth.session_token ` in ` cookie `

  - Session cookie (browser auth)

## Parameters

### ` id ` (path, required)

Resource ID (32-char hex)

- ` value `: type ` string ` — Resource ID (32-char hex)

  - example: ` "a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6" `

  - minLength: ` 1 `

Example:

```json
"a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6"
```

## Responses

### ` 200 ` — Retried delivery attempt

Content type: ` application/json `

- ` value `: type ` object `

  - Required fields: ` delivery_attempt `

  - ` delivery_attempt `: type ` object `

    - Required fields: ` id `, ` org_id `, ` env_id `, ` event_id `, ` connection_id `, ` destination_id `, ` request_url `, ` request_method `, ` request_headers `, ` request_body_size `, ` response_status `, ` response_headers `, ` response_body `, ` duration_ms `, ` status `, ` error `, ` created_at `, ` attempt_number `, ` next_retry_at `, ` is_dlq `, ` dlq_at `, ` trigger_type `, ` connection_name `, ` destination_name `

    - ` id `: type ` string `

    - ` org_id `: type ` string `

    - ` env_id `: type ` string `

    - ` event_id `: type ` string `

    - ` connection_id `: type ` string `

    - ` destination_id `: type ` string `

    - ` request_url `: type ` string `

    - ` request_method `: type ` string `

    - ` request_headers `: type ` string `; nullable

    - ` request_body_size `: type ` integer `

    - ` response_status `: type ` integer `; nullable

    - ` response_headers `: type ` string `; nullable

    - ` response_body `: type ` string `; nullable

    - ` duration_ms `: type ` integer `; nullable

    - ` status `: type ` string `

    - ` error `: type ` string `; nullable

    - ` created_at `: type ` string `

    - ` attempt_number `: type ` integer `; nullable

    - ` next_retry_at `: type ` string `; nullable

    - ` is_dlq `: type ` integer `; nullable

    - ` dlq_at `: type ` string `; nullable

    - ` trigger_type `: type ` string `; nullable

    - ` connection_name `: type ` string `; nullable

    - ` destination_name `: type ` string `; nullable

### ` 400 ` — Retry failed

Content type: ` application/json `

- ` value `: type ` object `

  - Required fields: ` error `

  - ` error `: type ` string ` — Error message

### ` 401 ` — Unauthorized

Content type: ` application/json `

- ` value `: type ` object `

  - Required fields: ` error `

  - ` error `: type ` string ` — Error message

### ` 404 ` — Delivery attempt not found

Content type: ` application/json `

- ` value `: type ` object `

  - Required fields: ` error `

  - ` error `: type ` string ` — Error message

## Request examples

### cURL

```curl
curl -X POST 'https://hookstream.io/v1/delivery-attempts/a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6/retry' \
  -H 'Authorization: Bearer YOUR_API_TOKEN'
```

### JavaScript

```javascript
const response = await fetch('https://hookstream.io/v1/delivery-attempts/a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6/retry', {
  method: 'POST',
  headers: {
      "Authorization": "Bearer YOUR_API_TOKEN"
  }
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

headers = {
    'Authorization': 'Bearer YOUR_API_TOKEN'
}

response = requests.post('https://hookstream.io/v1/delivery-attempts/a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6/retry', headers=headers)
print(response.json())
```

### Go

```go
package main

import (
	"fmt"
	"io"
	"net/http"
)

func main() {
	req, _ := http.NewRequest("POST", "https://hookstream.io/v1/delivery-attempts/a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6/retry", nil)
	req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")

	resp, _ := http.DefaultClient.Do(req)
	defer resp.Body.Close()
	result, _ := io.ReadAll(resp.Body)
	fmt.Println(string(result))
}
```